
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #249

Allow console plugin code to properly determine endianness on *BSD OSes

February 06, 2013 20:27 - Brad Smith

Status: Closed Start date: February 06, 2013

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/console Estimated time: 0.00 hour

Target version: 3.4   

Affects version: 3.3.3   

Description

The attached patch for the console plugins code will allow it to properly determine the archs endianness on *BSD OS's.

History

#1 - February 07, 2013 04:39 - John Lindgren

- Subject changed from Allow console plugin code to properly determine endianness on *BSD OS's to Allow console plugin code to properly determine

endianness on *BSD OS&#x27;s

It should be using the WORDS_BIGENDIAN #define from config.h.  But that also #defines HAVE_ZLIB_H, which currently causes the plugin to fail to

compile.  It's a mess.  :(

#2 - February 07, 2013 04:40 - John Lindgren

- Subject changed from Allow console plugin code to properly determine endianness on *BSD OS&#x27;s to Allow console plugin code to properly

determine endianness on *BSD OS's

I'm not sure what happened to the bug title there ...

#3 - February 07, 2013 06:51 - John Lindgren

- Subject changed from Allow console plugin code to properly determine endianness on *BSD OS's to Allow console plugin code to properly determine

endianness on *BSD OS&#x27;s

The plugin is using GLib's byte-order macros now; I presume those work on *BSD.

https://github.com/audacious-media-player/audacious-plugins/commit/f18c908041d59950cccc1fd58fa49072dc56ba75

#4 - February 07, 2013 06:52 - John Lindgren

- Subject changed from Allow console plugin code to properly determine endianness on *BSD OS&#x27;s to Allow console plugin code to properly

determine endianness on *BSD OSes

- Status changed from New to Closed

- % Done changed from 0 to 100

#5 - February 07, 2013 15:20 - Brad Smith

AFAIK switching to Glib for the endianness swapping should be good but I'll see for sure when the next alpha goes out.

Files

audacious-plugins_endian.diff 708 Bytes February 06, 2013 Brad Smith
